Bug 1179341 - queue_event_generation option clean-up desired
Summary: queue_event_generation option clean-up desired
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-tools
Version: Development
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: 3.1
: ---
Assignee: Irina Boverman
QA Contact: Petra Svobodová
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-06 15:08 UTC by Petr Matousek
Modified: 2015-04-14 13:48 UTC (History)
5 users (show)

Fixed In Version: qpid-tools-0.30-5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-14 13:48:48 UTC
Target Upstream Version:


Attachments (Terms of Use)
Removes queue_event_generation option. (7.83 KB, patch)
2015-01-21 19:36 UTC, Irina Boverman
no flags Details | Diff
queue_event_generation option clean-up (10.06 KB, patch)
2015-02-09 18:44 UTC, Irina Boverman
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Apache JIRA QPID-6347 None None None Never
Red Hat Bugzilla 1133204 None None None Never
Red Hat Product Errata RHEA-2015:0805 normal SHIPPED_LIVE Red Hat Enterprise MRG Messaging 3.1 Release 2015-04-14 17:45:54 UTC

Internal Links: 1133204

Description Petr Matousek 2015-01-06 15:08:02 UTC
Description of problem:

The queue_event_generation queue option is related to queue replication that is not supported anymore, but the option remain present in the source code and may be set on queues. The option is also still supported by qpid-config (--generate-queue-events=<n>). The option shall be now unsupported and shall be removed where present.

Although qpid-tools component was chosen for this bug the clean-up shall be performed (as a part of this bug) in other components as well (qpid-config and the java equivalent, upstream doc, qpid::client namespace). 

Version-Release number of selected component (if applicable):
qpid-*-0.30

Actual results:
Unsupported queue_event_generation option still available, adjustable and documented in upstream doc.

Expected results:
Unsupported queue_event_generation option clean-up.

Comment 3 Irina Boverman 2015-01-21 19:36:54 UTC
Created attachment 982498 [details]
Removes queue_event_generation option.

Comment 9 Irina Boverman 2015-02-09 18:44:45 UTC
Created attachment 989827 [details]
queue_event_generation option clean-up

Comment 12 Justin Ross 2015-02-11 20:51:04 UTC
https://svn.apache.org/r1659063

Comment 14 Jared MORGAN 2015-03-12 03:53:01 UTC
Removed from 3.1 Release Notes.

Comment 15 Petra Svobodová 2015-03-19 12:30:26 UTC
Retested on packages:
# rpm -qa | grep qpid | sort
python-qpid-0.30-5.el6.noarch
python-qpid-qmf-0.30-5.el6.x86_64
qpid-cpp-client-0.30-7.el6.x86_64
qpid-cpp-client-devel-0.30-7.el6.x86_64
qpid-cpp-client-devel-docs-0.30-7.el6.noarch
qpid-cpp-client-rdma-0.30-7.el6.x86_64
qpid-cpp-debuginfo-0.30-7.el6.x86_64
qpid-cpp-server-0.30-7.el6.x86_64
qpid-cpp-server-devel-0.30-7.el6.x86_64
qpid-cpp-server-ha-0.30-7.el6.x86_64
qpid-cpp-server-linearstore-0.30-7.el6.x86_64
qpid-cpp-server-rdma-0.30-7.el6.x86_64
qpid-cpp-server-xml-0.30-7.el6.x86_64
qpid-java-client-0.30-4.el6.noarch
qpid-java-common-0.30-4.el6.noarch
qpid-java-example-0.30-4.el6.noarch
qpid-jca-0.22-2.el6.noarch
qpid-jca-xarecovery-0.22-2.el6.noarch
qpid-jca-zip-0.22-2.el6.noarch
qpid-proton-c-0.7-4.el6.x86_64
qpid-proton-c-devel-0.7-4.el6.x86_64
qpid-proton-debuginfo-0.7-4.el6.x86_64
qpid-qmf-0.30-5.el6.x86_64
qpid-qmf-debuginfo-0.30-5.el6.x86_64
qpid-qmf-devel-0.30-5.el6.x86_64
qpid-tests-0.30-2.el6.noarch
qpid-tools-0.30-4.el6.noarch
ruby-qpid-0.7.946106-2.el6.x86_64
ruby-qpid-qmf-0.30-5.el6.x86_64

The "queue_event_generation" as "--generate-queue-events" queue option still persists in "qpid-config" tool and mention about it also in Messaging Installation and Configuration Guide. 

--> ASSIGNED

Comment 19 Petra Svobodová 2015-04-02 14:43:43 UTC
Retested on qpid-cpp-0.30-8 (qpid-tools-0.30-5) and the queue_event_generation queue option is not contained in the current qpid packages.

However the option is still present in the Messaging Installation and Configuration Guide in Table 4.1. Options for qpid-config add queue.

Comment 20 Petra Svobodová 2015-04-02 15:18:03 UTC
Created a documentation bz (https://bugzilla.redhat.com/show_bug.cgi?id=1208585) for the Messaging Installation and Configuration Guide.

This bug was verified on packages qpid-cpp-0.30-8 (qpid-tools-0.30-5) on Rhel6-i686 and x86_64 and Rhel7-x86_64.

--> VERIFIED

Comment 22 errata-xmlrpc 2015-04-14 13:48:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0805.html


Note You need to log in before you can comment on or make changes to this bug.